Results 1 to 8 of 8

Thread: Help with installing ClanLib on Linux/Debian Squeeze/ARM/Raspberry pi

  1. #1

    Unhappy Help with installing ClanLib on Linux/Debian Squeeze/ARM/Raspberry pi

    Hi

    I am trying to get Clanlib onto my Raspberry PI. I tried to follow the documentation http://clanlib.org/wiki/MainDocs:GNU_C%2B%2B_on_Linux

    but this got to a point then froze. and I had to reinstall linux (Debian Squeeze)

    If you need any more information please ask.

    I hope someone can help me get programming some games on my raspi!

    Thanks

    Paul C

  2. #2
    ClanLib Developer
    Join Date
    Sep 2006
    Location
    Bergen, Norway
    Posts
    588

    Default

    I'm afraid you are giving too little information for people to help you. "this got to a point then froze", you have to be specific what point it reached for instance.

  3. #3

    Default

    It crashed on the first part "installing prerequisites"

    Took a while doing what looked like the right stuff... but then froze.
    I'll do it again and make some notes this time

  4. #4

    Default

    ok. one question.
    How much space do I need to just install the prerequisites? (still can't get past this stage)
    I have 4gb sd card.

    cheers

  5. #5

    Default

    anybody know?

    I got installing again and there were a few errors saying not enough space.... I'd like to make sure this is the problem before waste money on a new sd card.

  6. #6
    ClanLib Developer
    Join Date
    Sep 2006
    Location
    Bergen, Norway
    Posts
    588

    Default

    I have no idea about storage requirements.

    What kind of hardware is in that thing? Clanlib is designed to run on modern graphiccards with good opengl shader support. If this thing does not have that, it might be wise to choose a simpler game library, like SDL.

  7. #7

    Unhappy

    Quote Originally Posted by sphair View Post
    I have no idea about storage requirements.

    What kind of hardware is in that thing? Clanlib is designed to run on modern graphiccards with good opengl shader support. If this thing does not have that, it might be wise to choose a simpler game library, like SDL.
    I have installed Quake III and it plays ok. (i have cleared the sd card and reinstalled debian since then - in case that was causing problems with my clanlib install)
    I grabbed this off the raspberry pi website:

    The GPU provides Open GL ES 2.0, hardware-accelerated OpenVG, and 1080p30 H.264 high-profile decode.

    The GPU is capable of 1Gpixel/s, 1.5Gtexel/s or 24 GFLOPs of general purpose compute and features a bunch of texture filtering and DMA infrastructure.

    That is, graphics capabilities are roughly equivalent to Xbox 1 level of performance. Overall real world performance is something like a 300MHz Pentium 2, only with much, much swankier graphics.


    I would much rather use Clanlib than SDL...

    I am really surprised that no one else has posted anything about using it on a raspberry pi. Not on this forum or others. I only bought the thing so I could put my clanlib games on it!!

    If anyone has had success getting Clanlib on the pi then please get in touch!

  8. #8
    ClanLib Developer
    Join Date
    Sep 2006
    Location
    Denmark
    Posts
    554

    Default

    Quake 3 is from 1999, so not exactly modern.

    That said, OpenGL ES 2.0 is about as modern as it gets for embedded devices. Unfortunately the OpenGL ES support in ClanLib is very experimental and due to lack of patches and/or developer support there is not really any real support for mobile platforms currently.

Similar Threads

  1. Problem(s) configuring ClanLib-2.3.6 on Debian Squeeze (stable)
    By Zartox in forum Official ClanLib SDK Forums
    Replies: 1
    Last Post: 07-17-2012, 06:54 AM
  2. Debian ClanLib Package
    By rombust in forum Official ClanLib SDK Forums
    Replies: 1
    Last Post: 10-25-2009, 11:11 AM
  3. clanlib crashes debian linux
    By 93interactive in forum Official ClanLib SDK Forums
    Replies: 3
    Last Post: 08-27-2009, 06:40 PM
  4. Installing ClanLib 0.8 and ClanLib 0.9 on linux
    By rombust in forum Official ClanLib SDK Forums
    Replies: 4
    Last Post: 07-15-2008, 09:51 AM
  5. Error with installing under linux
    By rayman in forum Novashell Game Creation System
    Replies: 13
    Last Post: 05-14-2008, 12:52 PM

Bookmarks

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •